import os
import pygame


class QuitException(Exception):
    pass


def loadimg(src):
    return pygame.image.load(os.path.join('assets',src))


def enum(*sequential, **named):
    enums = dict(zip(sequential, range(len(sequential))), **named)
    reverse = dict((value, key) for key, value in enums.iteritems())
    enums['reverse_mapping'] = reverse
    return type('Enum', (), enums)
